Summary:	PPPoE Configuration for Plusnet Fibre users
Name:		plusnet-fttc
Version:	0.10
Release:	1
License:	GPLv2+
Group:		Applications/Internet
URL:		http://www.city-fan.org/ftp/contrib/sysutils/
Source0:	%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	systemd-units
Requires:	ppp
Requires:	systemd-units

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units


%description
This is a set of configuration files to make setting up of a PPPoE
(Point to Point over Ethernet) connection to Plusnet (a U.K. ISP -
see http://www.plus.net/) easy, particularly for a firewall/server
system that can't run the NetworkManager GUI. It requires a
systemd-based distribution such as a current Fedora.

Once installed, you'll need to edit /etc/ppp/chap-secrets and
/etc/ppp/peers/plusnet to set up your account details.

%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot}

%post
if [ $1 -eq 1 ]; then 

	# Initial installation 
	/bin/systemctl daemon-reload &>/dev/null || :

	# Make sure ip-up.plusnet and ip-down.plusnet are called
	[ ! -f /etc/ppp/ip-up.local ] && touch /etc/ppp/ip-up.local && chmod 755 /etc/ppp/ip-up.local
	[ ! -f /etc/ppp/ip-down.local ] && touch /etc/ppp/ip-down.local && chmod 755 /etc/ppp/ip-down.local
	grep --silent -F ip-up.plusnet /etc/ppp/ip-up.local ||
		echo '[ -x /etc/ppp/ip-up.plusnet ] && /etc/ppp/ip-up.plusnet "$@"' >> /etc/ppp/ip-up.local
	grep --silent -F ip-down.plusnet /etc/ppp/ip-down.local ||
		echo '[ -x /etc/ppp/ip-down.plusnet ] && /etc/ppp/ip-down.plusnet "$@"' >> /etc/ppp/ip-down.local

fi

%preun
if [ $1 -eq 0 ]; then
	# Package removal, not upgrade
	/bin/systemctl --no-reload disable plusnet-fttc.service &>/dev/null || :
	/bin/systemctl stop plusnet-fttc.service &>/dev/null || :
fi

%postun
/bin/systemctl daemon-reload &>/dev/null || :

%files
%doc COPYING README
%{_sysconfdir}/logrotate.d/plusnet-fttc
%{_sysconfdir}/ppp/chap-secrets.plusnet
%config(noreplace) %{_sysconfdir}/ppp/ip-up.plusnet
%config(noreplace) %{_sysconfdir}/ppp/ip-down.plusnet
%config(noreplace) %{_sysconfdir}/ppp/peers/plusnet-fttc
%{_unitdir}/plusnet-fttc.service

%changelog
* Fri Jul  6 2012 Paul Howarth <paul@city-fan.org> - 0.10-1
- Initial rpm version
